Page 1 of 1

Probleme mit lighttpd 1.4.19/php 5.2.6

Posted: Wed Sep 24, 2008 4:01
by juk
Erstmal vielen Dank für die FW/Extensions - super Sache!

Allerdings habe ich Probleme mit PHP unter lighttpd:
Bekomme bei fast allen PHP scripts entweder die Meldung "500 - Internal Server Error"
Im lighttpd_error.log steht dann:

Code: Select all

2008-09-24 01:24:18: (mod_fastcgi.c.2471) unexpected end-of-file (perhaps the fastcgi process died): pid: 5106 socket: unix:/tmp/php-fastcgi.socket-1
2008-09-24 01:24:18: (mod_fastcgi.c.3281) response not received, request sent: 987 on socket: unix:/tmp/php-fastcgi.socket-1 for /index.php , closing connection


... oder die scripts bleiben hängen und in der php_error.log stehen dann Dinge wie:

Code: Select all

[24-Sep-2008 01:42:36] PHP Fatal error:  Balloc() allocation exceeds list boundary in /mnt/Web/index.php on line 478
[24-Sep-2008 01:42:36] PHP Notice:  Undefined index:  folder in /mnt/Web/index.php on line 45
[24-Sep-2008 01:42:36] PHP Notice:  Undefined index:  color_scheme_code in /mnt/Web/index.php on line 52
[24-Sep-2008 01:42:36] PHP Notice:  Undefined index:  err in /mnt/Web/index.php on line 151


Nachdem der php-code nicht von mir ist, kann ich nicht genau sagen,
welche commands die Probleme verursachen, es scheint aber immer mit Variablen wie $_SESSION, $_GET und dgl. zu tun zu haben bzw. wenn directories/files ausgelesen werden sollen. Die Fehler oben kommen vom "dirLIST - PHP Directory Lister v0.2.0" http://dir-list.sourceforge.net/.

Momentane FW/EXT-Installation:
NExtFW - base Version: 2.0.01-TW für AMS
NExt FW-Ext base erstellt: Sat Jun 21 12:04:27 UTC 2008 von lochness

lighttpd Version: 1.4.19 für AMS and SBLAN2
NExt-Addon lighttpd (1.4.19) erstellt: Fri Jun 20 21:07:37 UTC 2008 von matze

php Version: 5.2.6 für AMS and SBLAN2
NExt-Addon php (5.2.6) erstellt: Fri Jun 20 20:54:07 UTC 2008 von matze

Eigentlich brauch ich nur ein simples Direcory-Listing-Script. Bisher hat aber kein einziges funktioniert. Woran könnte das liegen?

Thx

Re: Probleme mit lighttpd 1.4.19/php 5.2.6

Posted: Fri Sep 26, 2008 9:09
by lochness
Diesen internen Server-Fehler hatten wir schön öfters. Man müsste schauen, ob es das gleiche ist.
"matze" wollte sich eigentlich drum kümmern, sofern Zeit ist, wenn es was neues gibt, wird sich hier jemand melden.

Re: Probleme mit lighttpd 1.4.19/php 5.2.6

Posted: Thu Oct 02, 2008 22:01
by juk
Thx, ich werde ab und zu mal hier reinschaun, obs was neues gibt.
J

Re: Probleme mit lighttpd 1.4.19/php 5.2.6

Posted: Wed Nov 05, 2008 1:11
by matze
Hi!

Code: Select all

'./configure' '--quiet' '--prefix=/opt/php' '--host=powerpc-linux-uclibc' '--without-iconv' '--disable-libxml' '--disable-dom' '--disable-simplexml' '--disable-xml' '--disable-xmlreader' '--disable-xmlwriter' '--without-pear' '--disable-pdo' '--enable-fastcgi'


Dass zahlreiche Anwendungen Probleme mit dem AMS-PHP haben, liegt an einer oder mehrerer der configure-Optionen:
'--without-iconv'
'--disable-libxml'
'--disable-dom'
'--disable-simplexml'
'--disable-xml'
'--disable-xmlreader'
'--disable-xmlwriter'
'--without-pear'
'--disable-pdo'

Natürlich habe ich das alles nicht ohne Grund deaktiviert, es ließ sich sonst schlichtweg nicht für AMS (uclibc) kompilieren. Ich brauchte das alles nicht, daher ist mein Leidensdruck auch denkbar gering :wink: Die Probleme mit den Sessions hatte ich schon bemerkt als ich einen der gemeldeten Fälle untersucht habe. Ich denke, es wird so einiges mehr nicht funktionieren (z.B. Zeichensatz-Konversion oder XML-Verarbeitung). Leider blicke ich nicht so ganz, welche Abhängigkeiten da bestehen, und wie sich das umschiffen lässt. Es müssten wohl ein paar Libraries hinzugefügt werden. Ich werde demnächst mal einen Versuch unternehmen ... wer Ideen oder Tipps parat hat, möge sich bitte melden, Danke :)

Als Alternative zu lighttpd+php kann man in solchen Fällen das thttpd-Package nehmen - wobei es sich um einen weiteren Webserver (inklusive PHP) handelt, siehe http://forum.ts.fujitsu.com/digitalhome/viewtopic.php?f=41&t=7488

Re: Probleme mit lighttpd 1.4.19/php 5.2.6

Posted: Wed Nov 05, 2008 7:06
by lochness
@Matze
Brevheart hat mittlerweile doch schon einige der üblichen Libraries für andere Pakete kompiliert, und ich habe mir auch eine Kompilierumgebung aufgesetzt, und Data hat bestimmt auch mal etwas Zeit, so dass wir Dich dabei gern unterstützen würden, einige der fehlenden Funktionen nachzurüsten.
Anderernfalls müsste ich ja thttpd kompilieren und auf den aktuellen Stand bringen :roll: . Da hat iwan schon was gemacht, aber ohne PHP, was ja auch nichts hilft. Also, melde Dich mal wenn Du Zeit hast.